Personal Website

My Web: MindEchoes.com

Wednesday, February 1, 2012

Instalar NINJA-IDE desde PPA

Hace mucho que no escribía en el blog y ya me estaba sintiendo muy culpable... así que quería dejar un post cortito como para volver y el fin de semana voy a postear un mini tutorial de como escribir plugins que extiendan la capacidad del explorador de simbolos y el Code Locator de NINJA-IDE para otros lenguajes.


Al asunto!
Si sos un afortunado usuario de Ubuntu, podes instalar NINJA-IDE desde PPA, con los beneficios que eso incluye: ACTUALIZACIONES!!
Si tenes NINJA-IDE instalado desde PPA, cada vez que se actualicen dichos PPAs, te van a llegar actualizaciones de NINJA-IDE junto a las actualizaciones de Ubuntu, por ende no hace falta que esperes a que hagamos releases de las distintas versiones, etc, etc.

Para instalar NINJA-IDE desde PPA los pasos son (el primer paso de agregar el ppa, hay 2 opciones de las cuales se puede elegir):

$ sudo apt-add-repository ppa:ninja-ide-developers/ninja-ide
(Este PPA genera paquetes cada ciertos tiempos con la inclusión de nuevas features o bug fixes y se considera que el código es realmente muy estable)

$ sudo apt-add-repository ppa:ninja-ide-developers/daily
(Este PPA es actualizado cada día con el código que sea introducido en el repositorio de desarrollo de NINJA-IDE, por ende tiene siempre los ultimos cambios y se pueden probar las features apenas salen... lo que implica también que pueda haber bugs, pero nunca se sube código a repositorio que imposibilite a un usuario poder seguir trabajando con NINJA-IDE)

$ sudo apt-get update
$ sudo apt-get install ninja-ide



Recibiendo actualizaciones de NINJA-IDE:

5 comments:

Asdrúbal Iván Suárez Rivera said...

Muchas gracias!! Me ha servido de mucha ayuda :)

cjadesarrollador said...

No puedo instalar desde ppa. Luego de agregar el repositorio con sudo apt-add-repository ppa:ninja-ide-developers/ninja-ide y hacer un apt-get update .- Me da imposible obtener http://ppa.launchpad.net/ninja-ide-developers/ninja-ide/ubuntu/dists/lucid/main/binary-amd64/Packages.gz 404 Not Found
E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

Diego Sarmentero said...

El PPA de estable no esta funcionando por algun problema quedo borrado y todavia no pudimos corregirlo, tendrias que usar el de daily, o el deb de la pagina.

cjadesarrollador said...

Gracias. Lo que me olvidé de decirte es que estoy usando Ubuntu 10.04. Algún problema?

Diego Sarmentero said...

Ninja no funciOna en 10.04, asi que ni debes estar instalando desde nuestro ppa